KCMAP_REGISTER_MODIFY_FUNC(3)

EXPERIMENTAL_FUNC
kcmap_register_modify_func - Register a colourmap modify function.

SYNOPSIS
#include <karma_kcmap.h>

KCallbackFunc kcmap_register_modify_func

(Kcolourmap cmap, void (*modify_func) (), void *info)

DESCRIPTION
This routine will register a modify callback function for a high level colourmap. The function will be called whenever the colourmap is modified. Many modify callbacks may be registered per colourmap. The first function registered is the first function called upon modify.

cmap
    The colourmap.

modify_func
    The function which is called when the colourmap is modified. The prototype function is <-kcmap_PROTO_modify_func->.

info
    The initial arbitrary colourmap information pointer.

RETURN VALUE
A KCallbackFunc object.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/